Productsup
CDE APIApi referenceIndividual config

Delete individual config from connector.

Sign in to run requests against the CDE API.
DELETE
/connectors/{publicId}/versions/{connectorVersion}/individual-configs/{commandOption}

Authorization

oAuth2AuthCode
AuthorizationBearer <token>

In: header

Path Parameters

publicId*string
Formatuuid
connectorVersion*string

Major version number as an integer

  • For 1.0.5 use 1
  • For 2.5.6 use 2

You can also use latest for the latest version, or main for the currently main released version.

Match^main|latest|\d+$
commandOption*string

The command option that should be removed from configuration

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://cde.staging.productsup.com/connectors/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/string/individual-configs/string"
{
  "message": "Individual configuration deleted."
}
{
  "message": "Bad request.",
  "errors": {
    "commandOption": "Connector Version does not contain individual configuration with this command option."
  }
}
{
  "message": "You have to be authorized to access this resource."
}
{
  "message": "Connector not found."
}

How is this guide?